indexing

	description:
		"Constants used by DESC (Dynamic External Shared Call) mechanism";

	status: "See notice at end of class";
	date: "$Date: 1998/08/12 16:48:25 $";
	revision: "$Revision: 1.5 $"

class SHARED_LIBRARY_CONSTANTS

feature -- Access

	T_array: INTEGER is 0

	T_boolean: INTEGER is 1

	T_character: INTEGER is 2

	T_double: INTEGER is 3

	T_integer: INTEGER is 4

	T_no_type: INTEGER is 10

	T_pointer: INTEGER is 5

	T_real: INTEGER is 6

	T_reference: INTEGER is 7

	T_short_integer: INTEGER is 8

	T_string: INTEGER is 9

feature -- Status report

	Library_freed: INTEGER is 3

	No_error: INTEGER is 0

	No_library: INTEGER is 1

	No_routine: INTEGER is 2

end -- class SHARED_LIBRARY_CONSTANTS

--|----------------------------------------------------------------
--| EiffelBase: Library of reusable components for Eiffel.
--| Copyright (C) 1986-1998 Interactive Software Engineering (ISE).
--| For ISE customers the original versions are an ISE product
--| covered by the ISE Eiffel license and support agreements.
--| EiffelBase may now be used by anyone as FREE SOFTWARE to
--| develop any product, public-domain or commercial, without
--| payment to ISE, under the terms of the ISE Free Eiffel Library
--| License (IFELL) at http://eiffel.com/products/base/license.html.
--|
--| Interactive Software Engineering Inc.
--| ISE Building, 2nd floor
--| 270 Storke Road, Goleta, CA 93117 USA
--| Telephone 805-685-1006, Fax 805-685-6869
--| Electronic mail <info@eiffel.com>
--| Customer support e-mail <support@eiffel.com>
--| For latest info see award-winning pages: http://eiffel.com
--|----------------------------------------------------------------

