indexing

	description:
		"Basic mathematical constants. %
		%This class may be used as ancestor by classes needing its %
		%facilities."
	status: "See notice at end of class"
	date: "$Date: 1998/08/12 16:51:53 $"
	revision: "$Revision: 1.10 $"

class
	MATH_CONST

feature {NONE} -- Access

	Pi: DOUBLE is 3.14159265358979323846;

	Sqrt2: DOUBLE is 1.41421356237309504880;
			-- Square root of 2

	Euler: DOUBLE is 2.7182818284590452354;
			-- Logarithm base

end -- class MATH_CONST


--|----------------------------------------------------------------
--| EiffelBase: Library of reusable components for Eiffel.
--| Copyright (C) 1986-1998 Interactive Software Engineering (ISE).
--| For ISE customers the original versions are an ISE product
--| covered by the ISE Eiffel license and support agreements.
--| EiffelBase may now be used by anyone as FREE SOFTWARE to
--| develop any product, public-domain or commercial, without
--| payment to ISE, under the terms of the ISE Free Eiffel Library
--| License (IFELL) at http://eiffel.com/products/base/license.html.
--|
--| Interactive Software Engineering Inc.
--| ISE Building, 2nd floor
--| 270 Storke Road, Goleta, CA 93117 USA
--| Telephone 805-685-1006, Fax 805-685-6869
--| Electronic mail <info@eiffel.com>
--| Customer support e-mail <support@eiffel.com>
--| For latest info see award-winning pages: http://eiffel.com
--|----------------------------------------------------------------

